%define pypi_name libyang

Name: 		python-libyang
Version: 	1.6.1
Release: 	2
Summary: 	Python CFFI bindings to libyang.
License: 	MIT
URL: 		https://github.com/CESNET/libyang-python
Source0: 	https://files.pythonhosted.org/packages/20/23/0b2445f42452f548401ae90f434d5e531e15a131f42570467fc722906c1e/%{pypi_name}-%{version}.tar.gz

BuildRequires: 	python3-devel python3-setuptools libyang python3-cffi libyang-devel

%description
Python CFFI bindings to libyang.

%package -n python3-libyang
Summary: 	python3 pacakge of %{pypi_name}
Requires: 	python3 libyang python3-cffi

%description -n python3-%{pypi_name}
python3 pacakge of %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitearch}/*

%changelog
* Thu Dec 08 2022 fushanqing <fushanqing@kylinos.cn> - 1.6.1-2
- Enable debuginfo for fix strip

* Thu Aug 26 2021 orange-snn<songnannan2@huawei.com> - 1.6.1-1
- Package init
